interface DropdownOptions {
    textkey?: string;
    valuekey?: string;
    htmlkey?: string;
    maxlength?: Number;
    multiselect?: boolean;
    selected?: any;
    selectedlist?: any[];
    disabled?: boolean;
    input?: boolean;
    search?: boolean;
    searchkeys?: string[];
    searchplaceholder?: string;
    tabindex?: Number;
    slidefixed?: boolean;
    parent?: HTMLElement
}

interface Dropdown {
    create(): HTMLElement;
    get disabled(): boolean;
    set disabled(flag: boolean);
    readonly multiselect: boolean;
    readonly selected: any;
}

declare var Dropdown: {
    prototype: Dropdown;
    new(options: DropdownOptions): Dropdown;
};

export default Dropdown;